#
# spec file for package mate-backgrounds
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define _version 1.18
Name:           mate-backgrounds
Version:        1.18.0
Release:        1.1
Summary:        A set of backgrounds packaged with the MATE desktop
License:        GPL-2.0
Group:          System/GUI/Other
Url:            https://mate-desktop.org/
Source:         http://pub.mate-desktop.org/releases/%{_version}/%{name}-%{version}.tar.xz
BuildRequires:  mate-common >= %{_version}
Recommends:     %{name}-lang
BuildArch:      noarch

%description
This is a collection of desktop wallpapers created with MATE users
in mind.

%lang_package

%prep
%setup -q

%build
NOCONFIGURE=1 mate-autogen
%configure
make %{?_smp_mflags} V=1

%install
%make_install
%find_lang %{name} %{?no_lang_C}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS
%{_datadir}/backgrounds/
%{_datadir}/mate-background-properties/

%files lang -f %{name}.lang
%defattr(-,root,root)

%changelog
* Tue Mar 14 2017 sor.alexei@meowr.ru
- Update to version 1.18.0:
  * Update translations.
* Tue Sep 20 2016 sor.alexei@meowr.ru
- Update to version 1.16.0:
  * Update translations.
* Sat Apr  9 2016 sor.alexei@meowr.ru
- Update to version 1.14.0:
  * Add new languages and sync translations with Transifex.
  * Add Changelog generation.
* Mon Jan 25 2016 sor.alexei@meowr.ru
- Update to version 1.13.0.
* Thu Nov  5 2015 sor.alexei@meowr.ru
- Update to 1.12.0.
* Mon May  4 2015 p.drouand@gmail.com
- Update to version 1.10.0
  * No changes since version 1.9.90
* Mon Mar 23 2015 p.drouand@gmail.com
- Update to version 1.9.90 (unstable)
  * No changes since version 1.9.1
* Tue Nov 11 2014 p.drouand@gmail.com
- Update to version 1.9.1 (unstable)
  + Add Ubuntu MATE wallpapers without branding, by Ubuntu MATE team
  + Add new MATE-Stripes-Dark.png, MATE-Stripes-Light.png wallpapers
- Fix version requirements
* Sun Oct 26 2014 p.drouand@gmail.com
- Update to version 1.9.0 (unstable)
  + Add new MATE-Stripes-Dark.png, MATE-Stripes-Light.png wallpapers
    by hekel
* Wed Mar  5 2014 p.drouand@gmail.com
- Update to version 1.8.0
  + no changes since version 1.7.90
* Wed Feb 19 2014 p.drouand@gmail.com
- Update to version 1.7.90 (unstable)
  + add new "Float into MATE" wallpaper by Rowen Stipe
  + add artist tag in XML files
- Remove useless xz require
* Wed Jan  1 2014 p.drouand@gmail.com
- Update to version 1.6.1
  + Fix makefile for make dist
  + Create xz tarball
  + Remove distro folder
- Unversion Recommends: mate-backgrounds-lang
* Wed Apr  3 2013 johann.luce@wanadoo.fr
- Update to version 1.6.0
  + Add Recommends:     %%{name}-lang = %%{version}-%%{release}
  + change backgrounds installation path
  + rename configure.in to configure.ac to be liked by autoconf 1.12
  + fix GPL version in README
* Wed Nov  7 2012 nmo.marques@gmail.com
- Remove branding hacks
* Sun Oct 21 2012 nmo.marques@gmail.com
- Update to version 1.5.0
  + fixes on FSF headers
  + version bump
* Sun Sep  9 2012 nmo.marques@gmail.com
- require 'wallpaper-branding-openSUSE' and create links in %%post
  TESTING.
* Sat Sep  8 2012 nmo.marques@gmail.com
- update to version 1.4.0
- copypac to X11:MATE
  + minor cosmetic fixes
* Sun Jan  1 2012 nmarques@opensuse.org
- initial package from release 1.1.0
